## installmanual-de 1.3.2

=== Makefile ===
# $Source: /home/leutloff/debian/de/RCS/Makefile,v $                        -*- Makefile -*-
# $Id: Makefile,v 1.1 1997/05/13 15:46:09 leutloff Exp leutloff $

# ich habe kleinere Modifikationen an den Debiandoc-Dateien vorgenommen (fr HTTP)

export DEBIANDOCSGMLLIB=./sgml
export DEBIANDOCSGMLSPEC=./spec

INSTALLPATHFORHTML = $(HOME)/public_html/debian
PREFIX=$(prefix)

# verwendete Programme:

SGML2HTML  = debiandoc2html 
SGML2LOUT  = debiandoc2lout
SGML2PS    = debiandoc2ps -pa4 -1
SGML2TEXT  = debiandoc2text
SGML2LATEX  = debiandoc2latex2e
# debiandoc2textov
CP = cp
RM = rm

ORIGINALDOCS = LiloManual.txt cfdisk.txt X11_release_note.txt \
               rawrite2.txt install.txt install.html \
               dselect.beginner.8.txt dselect.beginner.8.html \
	       Hardware-HOWTO.sgml README.mirrors README.non-US


INSTALLDOCUMENTS = install.de.ps.gz inst-de.ps install.de.text install.de.tar.gz

test: 
	-nsgmls -e -g -s  install.de.sgml

test-html: html
	-weblint install.de.html/index.html install.de.html/ch*

html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
	mv ${INSTALLDOCUMENTS} install.de.html/

install: html
	$(CP) install.de.html/* $(PREFIX)/usr/doc/LANG/de/installmanual/

text: install.de.text

Hardware-HOWTO: install.de.html/Hardware-HOWTO.html install.de.html/Hardware-HOWTO.txt

install.de.html/Hardware-HOWTO.html: en/Hardware-HOWTO.sgml
	sgml2html $<
	mv Hardware-HOWTO.html Hardware-HOWTO-* install.de.html/

install.de.html/Hardware-HOWTO.txt: en/Hardware-HOWTO.sgml
	sgml2txt $<
	mv Hardware-HOWTO.txt install.de.html/

ps: inst-de.ps 

inst-de.ps: install.de.sgml
	${SGML2PS}  install.de.sgml
	$(CP) install.de.ps inst-de.ps
	gzip -9f install.de.ps

install.de.ps.gz: inst-de.ps

all: html booklet.de.ps

localinstall: html
	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
	$(CP) install.de.html/* $(INSTALLPATHFORHTML)/install.de.html/
	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz install.de.html/*

www: www.tgz 

www.tgz: test
	cd install.de.html; tar cvfz ../www.tgz *

install.de.tar.gz: install.de.sgml anhang.sgml copyright.sgml \
   rechnerkonfiguration.sgml vorbereitungen.sgml \
   installationsdisketten.sgml systeminstallation.sgml \
   dselect_einfuehrung.sgml installationsmedien.sgml \
   systemvoraussetzungen.sgml \
   install-manual.date install-manual.version debian.version \
   Makefile debiandoc2latex2e debiandoc.cls\
   spec/html spec/lout spec/text spec/\
   sgml/debiandoc.dtd sgml/general sgml/catalog
	tar cvfz install.de.tar.gz  $^


pstex: install.de.tex
	latex install.de.tex
	latex install.de.tex
	latex install.de.tex
	dvips install.de.dvi -o inst-tex.ps

install.de.html/index.html: install.de.sgml
	${SGML2HTML} install.de.sgml



#check:
#	sgmlcheck install.de.sgml

clean: distclean

distclean:
	-rm -f *.ps *.ps1 *.ps1x *.lout *.lout.ld *.sasp *.sasp-lout lout.li *~ www.a* 
	-rm -rf spec/*~ sgml/*~ install.de.html/* install.de.tex
	-rm -f *.toc *.aux *.log *.dvi


# Dependencies:

#install.de.html/index.html: install.de.sgml
install.de.text: install.de.sgml
install.de.tex: install.de.sgml



.PHONY: clean check distclean



## rules:
#%.ps: %.sgml
#	${SGML2PS}  $*.sgml

%.text: %.sgml
	${SGML2TEXT} $*.sgml

%.tex: %.sgml
	${SGML2LATEX} $*.sgml

%.html: %.sgml
	${SGML2HTML} $*.sgml

=== debian/changelog ===
installmanual-de (1.3.2) unstable; urgency=low

  * Initial Release as a Debian Package.

 -- Christian Leutloff <leutloff@debian.org>  Thu, 22 Jan 1998 22:23:36 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "leutloff@debian.org"
End:

=== debian/control ===
Source: installmanual-de
Section: doc
Priority: standard
Maintainer: Christian Leutloff <leutloff@debian.org>
Standards-Version: 2.3.0.1

Package: installmanual-de
Architecture: all
Description: Debian install manual in German
 This package installs the HTML version of the install manual into the
 Debian documentation. The source package contains the SGML source and
 is able to produce other formats using debiandoc-sgml, too.

=== debian/rules ===
#!/usr/bin/make -f
#                                                        -*- makefile -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecure independant.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

# Build architecture-independent files here.
binary-indep: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the files into debian/tmp
	$(MAKE) prefix=`pwd`/debian/tmp install

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_du
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## installmanual-de 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,21 @@
-# $Source: /home/leutloff/debian/de/RCS/Makefile,v $                        -*- Makefile -*-
-# $Id: Makefile,v 1.1 1997/05/13 15:46:09 leutloff Exp leutloff $
+#                                                          -*- Makefile -*-
 
-# ich habe kleinere Modifikationen an den Debiandoc-Dateien vorgenommen (fr HTTP)
+# cl: ich habe kleinere Modifikationen an den Debiandoc-Dateien
+#     vorgenommen (fr HTTP)
 
 export DEBIANDOCSGMLLIB=./sgml
 export DEBIANDOCSGMLSPEC=./spec
+
+#
+# Versionsnummer fuer Alexander Haderer privates Backup (afrika@first.gmd.de)
+# zum Sichern von Makefile* *.sgml *.tex
+# (Ich mache die de. Anpassungen der install doku an debian 2.0)
+# 
+AFRIKA_VERSION	= 1.4
+
+# Die zu sichernden Dateien fuer afrika backup
+AFRIKA_FILES = Makefile* install.ents *.sgml *.tex *.version *.date \
+		README_AFRIKA
 
 INSTALLPATHFORHTML = $(HOME)/public_html/debian
 PREFIX=$(prefix)
@@ -26,7 +37,7 @@
 	       Hardware-HOWTO.sgml README.mirrors README.non-US
 
 
-INSTALLDOCUMENTS = install.de.ps.gz inst-de.ps install.de.text install.de.tar.gz
+INSTALLDOCUMENTS = install.de.ps.gz install.de.text install.de.tar.gz
 
 test: 
 	-nsgmls -e -g -s  install.de.sgml
@@ -34,8 +45,9 @@
 test-html: html
 	-weblint install.de.html/index.html install.de.html/ch*
 
-html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
-	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
+#html: install.de.html/index.html ${INSTALLDOCUMENTS} en/README.mirrors Hardware-HOWTO
+#	-cd en/; cp ${ORIGINALDOCS} ../install.de.html/
+html: install.de.html/index.html ${INSTALLDOCUMENTS}
 	mv ${INSTALLDOCUMENTS} install.de.html/
 
 install: html
@@ -53,19 +65,16 @@
 	sgml2txt $<
 	mv Hardware-HOWTO.txt install.de.html/
 
-ps: inst-de.ps 
-
-inst-de.ps: install.de.sgml
+ps: install.de.sgml
 	${SGML2PS}  install.de.sgml
-	$(CP) install.de.ps inst-de.ps
 	gzip -9f install.de.ps
 
-install.de.ps.gz: inst-de.ps
+install.de.ps.gz: ps
 
 all: html booklet.de.ps
 
 localinstall: html
-	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
+#	-$(RM) $(INSTALLPATHFORHTML)/install.de.html/*
 	$(CP) install.de.html/* $(INSTALLPATHFORHTML)/install.de.html/
 	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz install.de.html/*
 
@@ -76,9 +85,9 @@
 
 install.de.tar.gz: install.de.sgml anhang.sgml copyright.sgml \
    rechnerkonfiguration.sgml vorbereitungen.sgml \
-   installationsdisketten.sgml systeminstallation.sgml \
-   dselect_einfuehrung.sgml installationsmedien.sgml \
-   systemvoraussetzungen.sgml \
+   systeminstallation.sgml \
+   dselect_einfuehrung.sgml installationsmethoden.sgml \
+   systemvoraussetzungen.sgml partitionieren.sgml \
    install-manual.date install-manual.version debian.version \
    Makefile debiandoc2latex2e debiandoc.cls\
    spec/html spec/lout spec/text spec/\

=== debian/changelog ===
installmanual-de (2.0.0) unstable; urgency=low

  * new version from Alexander Haderer <afrika@first.gmd.de>, see
    README for a more detailed description
  * removed local copies of the original english documentation - I see
    no more need
  * make lintian (0.8.2) happy

 -- Christian Leutloff <leutloff@debian.org>  Sun, 20 Sep 1998 22:23:36 +0100

installmanual-de (1.3.3) unstable; urgency=low

  * fixed copyright address (lintian)
  

=== debian/control ===
Source: installmanual-de
Section: doc
Priority: standard
Maintainer: Christian Leutloff <leutloff@debian.org>
Standards-Version: 2.4.1.2

Package: installmanual-de
Architecture: all
Description: Debian install manual in German
 This package installs the HTML version of the install manual into the
 Debian documentation. It includes the PS and the text version,
 too. The source package contains the SGML source and is able to
 produce other formats using debiandoc-sgml.

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 build-stamp:
 	dh_testdir
 
-	# Add here commands to compile the package.
-	#$(MAKE)
+#	# Add here commands to compile the package.
+#	#$(MAKE)
 
 	touch build-stamp
 
@@ -20,7 +20,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	# Add here commands to clean up after the build process.
+#	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
 
 	dh_clean 
@@ -36,20 +36,24 @@
         # Add here commands to install the files into debian/tmp
 	$(MAKE) prefix=`pwd`/debian/tmp install
 
-	dh_installdocs
+	dh_installdocs README
+
 	dh_installexamples
-	dh_installmenu
+#	dh_installmenu
 #	dh_installinit
 	dh_installcron
 #	dh_installmanpages
 #	dh_undocumented
 	dh_installchangelogs
 	dh_compress
+
+	cd `pwd`/debian/tmp/usr/doc/installmanual-de/; ln -s ../LANG/de/installmanual/*.gz .
+	cd `pwd`/debian/tmp/usr/doc/installmanual-de/; ln -s ../LANG/de/installmanual/*.html .
+
 	dh_fixperms
 	dh_suidregister
 	dh_installdeb
 	dh_gencontrol
-	dh_du
 	dh_md5sums
 	dh_builddeb

## installmanual-de 2.1-3

=== Makefile ===
#                                                          -*- Makefile -*-

# cl: ich habe kleinere Modifikationen an den Debiandoc-Dateien
#     vorgenommen (fr HTTP)
#
# joey: deaktiviert, da sie text-output kaputtmachen
#export DEBIANDOCSGMLLIB=./sgml
#export DEBIANDOCSGMLSPEC=./spec

INSTALLPATHFORHTML = $(HOME)/public_html/debian
PREFIX=$(prefix)

DE_DIR=install.de.html

ENV=LANG=de LC_ALL=de_DE,LATIN1

# verwendete Programme:

SGML2HTML  = $(ENV) debiandoc2html 
SGML2LOUT  = $(ENV) debiandoc2lout
SGML2PS    = $(ENV) debiandoc2ps -pa4 -1
SGML2TEXT  = $(ENV) debiandoc2text
SGML2LATEX  = $(ENV) debiandoc2latex2e
# debiandoc2textov
CP = cp
RM = rm
MV = mv

ORIGINALDOCS = LiloManual.txt cfdisk.txt X11_release_note.txt \
               rawrite2.txt install.txt install.html \
               dselect.beginner.8.txt dselect.beginner.8.html \
	       Hardware-HOWTO.sgml README.mirrors README.non-US


# FIXME: broken debiandoc2ps
#INSTALLDOCUMENTS = install.de.ps.gz install.de.txt install.de.tar.gz
INSTALLDOCUMENTS = install.de.txt install.de.tar.gz

help:
	@echo "make test    Test the sgml files"
	@echo "make text    Create a text file"
	@echo "make html    Create HTML files"
	@echo "make ps      Create a PostScript file"
	@echo "make pstex   Create a PostScript file by using LaTeX"

test: 
	-nsgmls -e -g -s  install.de.sgml

test-html: html
	-weblint $(DE_DIR)/index.html $(DE_DIR)/ch*

date:
	LC_ALL=de_DE date +'%d %B %Y' > install-manual.date

html: $(DE_DIR)/index.html

install: $(DE_DIR)/install.de.txt
	$(CP) $(DE_DIR)/* $(PREFIX)/usr/doc/LANG/de/installmanual/

text: install.de.txt

ps: install.de.sgml
	${SGML2PS} install.de.sgml
	gzip -9f install.de.ps

install.de.ps.gz: ps

# FIXME: broken debiandoc2ps
#all: html text pstex ${INSTALLDOCUMENTS}
all: html text ${INSTALLDOCUMENTS}
	test -d $(DE_DIR) || mkdir $(DE_DIR)
	mv ${INSTALLDOCUMENTS} $(DE_DIR)/

localinstall: html
#	-$(RM) $(INSTALLPATHFORHTML)/$(DE_DIR)/*
	$(CP) $(DE_DIR)/* $(INSTALLPATHFORHTML)/$(DE_DIR)/
	tar cvfz  $(INSTALLPATHFORHTML)/install.de.html.tar.gz $(DE_DIR)/*

www: www.tgz 

www.tgz: test
	cd install.de.html; tar cvfz ../www.tgz *

TARFILES = $(wildcard *.sgml *.ent)
install.de.tar.gz: $(TARFILES) germanize \
   install-manual.date install-manual.version debian.version \
   Makefile debiandoc2latex2e debiandoc.cls urls.ent install.ent \
   spec/html spec/lout spec/text spec/\
   sgml/debiandoc.dtd sgml/general sgml/catalog README
	tar -c --exclude CVS -zf install.de.tar.gz  $^

pstex: install.de.tex
	latex install.de.tex
	latex install.de.tex
	latex install.de.tex
	dvips install.de.dvi -o inst-tex.ps

$(DE_DIR)/index.html: install.de.sgml
	${SGML2HTML} install.de.sgml
	./germanize install.de.html/*.html

clean: distclean

distclean:
	-rm -f *.ps *.ps1 *.ps1x *.lout *.lout.ld *.sasp *.sasp-lout lout.li *~ www.a* 
	-rm -rf spec/*~ sgml/*~ $(DE_DIR) install.de.txt
	-rm -f *.toc *.aux *.log *.dvi install.de.tex


# FIXME: broken debiandoc2ps
# Lokal auf Infodrom Oldenburg installieren
WEBBASE=/var/lib/webspace/infodrom/Debian/`cat debian.version`
webinstall: all
	install -m 644 $(DE_DIR)/ch*.html $(DE_DIR)/footnotes.html $(WEBBASE)
	install -m 644 $(DE_DIR)/index.html $(WEBBASE)/install-de.html
	# install -m 644 $(DE_DIR)/install.de.ps.gz $(WEBBASE)/install-de.ps.gz
	zcat $(WEBBASE)/install-de.ps.gz > $(WEBBASE)/install-de.ps
	install -m 644 $(DE_DIR)/install.de.tar.gz $(WEBBASE)/install-de.tar.gz
	install -m 644 $(DE_DIR)/install.de.txt $(WEBBASE)/install-de.txt
	gzip -9f $(WEBBASE)/install-de.txt
	install -m 644 $(DE_DIR)/install.de.txt $(WEBBASE)/install-de.txt
	install -m 644 debian/changelog $(WEBBASE)

# Dependencies:

#$(DE_DIR)/index.html: install.de.sgml
install.de.txt: install.de.sgml
install.de.tex: install.de.sgml



.PHONY: clean check distclean



## rules:
#%.ps: %.sgml
#	${SGML2PS}  $*.sgml

%.txt: %.sgml
	${SGML2TEXT} $*.sgml
	./germanize $*.text

%.tex: %.sgml
	${SGML2LATEX} $*.sgml
	cat $*.tex| sed 's/\\usepackage{fancyhdr}/\\usepackage{fancyhdr}\\usepackage{german}/' \
	 > $*.tex. && mv -f $*.tex. $*.tex

%.html: %.sgml
	DEBIANDOCSGMLLIB=./sgml ${SGML2HTML} $*.sgml
	./germanize $*.html/*.html

=== debian/changelog ===
installmanual-de (2.1-3) unstable; urgency=low, closes=34625 34624

  * Fixed some mistakes, thanks to Roland Rosenfeld
  * Better L10n, thanks to Philipp Frauenfelder
  * Added more corrections with help of Andreas Scherer
    <andreas.scherer@lingua.at>
  * Added information about more package managers
  * Added more corrections with help of Hartmut Figge <hfigge@knuut.de>
  * Changed Return to Enter
  * Rephrased partitioning slightly
  * Downgraded to Slink version of lout to get page numbers in ps file
    again (Bug#35060)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 17 May 1999 09:38:59 +0200

installmanual-de (2.1-2) unstable; urgency=low

  * Fixed some typos
  * Rephrased paragraph about LHB
  * Added support for dhelp.  Thanks to Joerg Friedrich
    <Joerg.Dieter.Friedrich@uni-konstanz.de>
  * Added support for de_DE to comply with current debiandoc-sgml, thanks
    to Adam di Carlo for assistance.
  * Added call to update-menus in postinst and postrm

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 14 Mar 1999 21:48:58 +0100

installmanual-de (2.1-1) unstable; urgency=low

  * New maintainer
  * Installed a hand written debian/rules file
  * Removed links to HTML files in /usr/doc/$(package)
  * Added Emacs command to load the iso-accents-mode to all .sgml files
  * Removed superflous newlines if present
  * Adjusted the copyright file
  * More sophisticated changes to Makefile so files won't get built within
    install target
  * Added original english install.txt as en-install.txt for reference
  * Added general section wrt. Linux, Debian and Hurd
  * install.de.sgml:
    . Added reference to new maintainer
  * partitionieren.sgml:
  * installationsmethoden:
    . Corrected path for 2.0 disks
    . Added subsection about lowmem
    . Added internals about root.bin
  * Reworded paragraph about scsi adapters and booting
  * Added section about reporting bugs
  * Added paragraph about how to use the rescue floppy for recovery
  * Adjusted path to HOWTOs
  * Updated LDP mirror from
    http://metalab.unc.edu/LDP/mirrors.html#germany
  * Merged adjustments from Philipp Frauenfelder <pfrauenf@debian.org>
    . Added file urls.ent containing all urls we're referring to
    . Added special intro about package maintenance
    . Added section about apt/apt-get
  * Updated URLs for other formats
  * Corrected Makefile regarding local spec and sgml directories
  * Updated trademark section
  * Added paragraph covering multi-cd
  * Updated dselect::Access screen
  * Added proper references to Unix FAQ and User-Friendly Unix FAQ
  * Added footnote covering zip drives
  * Added "Orientierung innerhalb von Debian" (translation)
  * Added "Von CDROM booten" (translation)
  * Reordered "Kernel-Meldungen interpretieren"
  * Moved debian.sgml to willkommen.sgml
  * Moved rechnerkonfiguration.sgml to vorbereitungen.sgml
  * Moved install.ents to install.ent
  * Added contents of copyright.sgml to willkommen.sgml
  * Reordered README (is a Changelog)
  * Removed installationsdisketten.sgml
  * Added "Festplatten-Einschrnkungen bei PCs" (translation)
  * Added "Partitionierung fr DOS" (translation)
  * Added section regarding LILO and other systems
  * Added special `webinstall' target to install the files locally
  * Cleaned up and fixed Makefile
  * Added corrections with help of Hartmut Koptein <koptein@debian.org>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  6 Mar 1999 19:06:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: installmanual-de
 Section: doc
 Priority: standard
-Maintainer: Christian Leutloff <leutloff@debian.org>
+Maintainer: Martin Schulze <joey@debian.org>
 Standards-Version: 2.4.1.2
 
 Package: installmanual-de

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-98   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	$(MAKE) date all
	touch stamp-build

clean: debclean
	rm -f stamp-build
	$(MAKE) distclean
	rm -rf `find -name '*~'`

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) -d debian/tmp/usr/doc/$(package)
	$(installbin) debian/{prerm,postinst,postrm} debian/tmp/DEBIAN/
#	$(installdoc) debian/conffiles debian/tmp/DEBIAN/
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog
	#
	$(installdoc) debian/copyright debian/tmp/usr/doc/$(package)/
	$(installdoc) debian/dhelp debian/tmp/usr/doc/$(package)/.dhelp
	$(installdoc) debian/README.debian debian/tmp/usr/doc/$(package)/
	$(installdoc) README debian/tmp/usr/doc/$(package)/
	gzip -9f debian/tmp/usr/doc/$(package)/changelog
	#
	$(installbin) -d debian/tmp/usr/doc/LANG/de/installmanual
	$(MAKE) prefix=`pwd`/debian/tmp install
	cd debian/tmp/usr/doc/installmanual-de && ln -sf ../LANG/de/installmanual/*.gz .
	#
	$(installbin) -d debian/tmp/usr/lib/menu
	$(installdoc) debian/menu debian/tmp/usr/lib/menu/$(package)
	#
	dpkg-gencontrol
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
